<!DOCTYPE html>
<html>

<head>
  <title> Task 25.30 ... Tạo đơn hàng - xem chi tiết </title>
  <meta charset='utf-8'>
  <meta name='viewport' content='width=device-width, initial-scale=1'>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body onload="onPageLoading()">
  <div class="container jumbotron">
    <div class="col-12">
      <div class="text-center mb-5"> <h1> Create Order </h1> </div>
        <div class="form-group row">
          <label for="" class="col-sm-2 col-form-label">Cỡ Combo</label>
          <div class="col-sm-4">
            <select class="form-control">
              <option> Chọn cỡ Combo (Combo size)</option>
              <option value="S"> Nhỏ</option>
              <option value="M"> Vừa</option>
              <option value="L"> Lớn</option>
            </select>
          </div>
          <label for="" class="col-sm-2 col-form-label">Đồ uống</label>
          <div class="col-sm-4">
            <select class="form-control" id="select-drink">
              <option>Chọn đồ uống</option>
            </select>
          </div>
        </div> 
        <div class="form-group row">
          <label class="col-sm-2 col-form-label">Mã voucher</label>
          <div class="col-sm-4">
            <input type="text" class="form-control" placeholder="Voucher ID (mã voucher)">
          </div>
          <label class="col-sm-2 col-form-label">Loại pizza</label>
          <div class="col-sm-4">
            <select class = "form-control">            <!-- select chưa có id, các option chưa có value-->
              <option> Chọn loại pizza </option>
              <option value = "Seafood" > Hải sản</option>
              <option value = "Hawaii"> Ha wai </option>
              <option value = "Bacon" > Thịt hun khói </option>
            </select>
          </div>        
        </div>
        <div class="form-group row">
          <label class="col-sm-2 col-form-label" for="">Họ và tên</label>
          <div class="col-sm-4">
            <input type="text" class="form-control" placeholder="Họ và tên"> 
          </div>
          <label for="" class="col-sm-2 col-form-label">Email</label>
          <div class="col-sm-4">
            <input type="email" class="form-control" placeholder="Email"> 
          </div>
        </div>
        <div class="form-group row">
          <label class="col-sm-2 col-form-label">Số điện thoại</label>
          <div class="col-sm-4">
            <input type="text" class="form-control" placeholder="Số điện thoại">
          </div>
          <label class="col-sm-2 col-form-label">Địa chỉ</label>
          <div class="col-sm-4">
            <input type="text" class="form-control" placeholder="Địa chỉ"> 
          </div>
        </div>
        <div class="form-group">
          <label>Lời nhắn</label>
          <textarea class="form-control h-75" placeholder="Lời nhắn"></textarea>
        </div> 
        <div class="form-group">
          <button  class="btn btn-primary">Create Order</button>
          <button  class="btn btn-secondary">Show Order Data in New Form</button>
        </div>
    </div>
  </div>
  <script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading() {
      // load dữ liệu vào select car
      loadDataDrinkList();
    }
    
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    // Hàm thực hiện call api để load dữ liệu vào drink list
    function loadDataDrinkList() {
      var vXhttp = new XMLHttpRequest();
      vXhttp.open("GET", "http://203.171.20.210:8080/devcamp-pizza365/drinks", true);
      vXhttp.send();
      vXhttp.onreadystatechange = function () {
          if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
            console.log(vXhttp.responseText); // ghi response text ra console.log
            handleLoadDataToSelectDrink(vXhttp);
          }
        };
    }

    // handle data load to select drink
    function handleLoadDataToSelectDrink(paramXhttp) {
      var vArrayDrinkList = JSON.parse(paramXhttp.responseText);
      console.log("array drink list = " + vArrayDrinkList.length);
      //load data to drink select
      var vElementSelectDrink = document.getElementById("select-drink");
      for (var bIterator = 0; bIterator < vArrayDrinkList.length; bIterator++) {
        var vDrinkOptionElement = document.createElement("option");
        vDrinkOptionElement.value = vArrayDrinkList[bIterator].maNuocUong;
        vDrinkOptionElement.text = vArrayDrinkList[bIterator].tenNuocUong;
        vElementSelectDrink.appendChild(vDrinkOptionElement);
      }
    }
  </script>


</body>

</html>